---
title: DocumentOrShadowRoot.fullscreenElement
slug: Web/API/DocumentOrShadowRoot/fullscreenElement
tags:
  - API
  - Document
  - DocumentOrShadowRoot
  - Full-screen
  - Fullscreen API
  - Graphics
  - Property
  - Read-only
  - Reference
  - fullscreenElement
  - screen
---
<div>{{ApiRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The <code><strong>DocumentOrShadowRoot.fullscreenElement</strong></code> read-only property returns the {{ domxref("Element") }} that is currently being presented in full-screen mode in this document, or <code>null</code> if full-screen mode is not currently in use.</span></p>

<p>Although this property is read-only, it will not throw if it is modified (even in strict mode); the setter is a no-operation and it will be ignored.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>var element</var> = <var>document</var>.fullscreenElement;</pre>

<h3 id="Return_value">Return value</h3>

<p>The {{domxref("Element")}} object that's currently in full-screen mode; if full-screen mode isn't currently in use by the <code><var>document</var></code>&gt;, the returned value is <code>null</code>.</p>

<h2 id="Example">Example</h2>

<p>This example presents a function, <code>isVideoInFullscreen()</code>, which looks at the value returned by <code>fullscreenElement</code>; if the document is in full-screen mode (<code>fullscreenElement</code> isn't <code>null</code>) and the full-screen element's {{domxref("Node.nodeName", "nodeName")}} is <code>VIDEO</code>, indicating a {{HTMLElement("video")}} element, the function returns <code>true</code>, indicating that the video is in full-screen mode.</p>

<pre class="brush: js">function isVideoInFullscreen() {
  if (document.fullscreenElement &amp;&amp; document.fullscreenElement.nodeName == 'VIDEO') {
    return true;
  }
  return false;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#dom-document-fullscreenelement", "Document.fullscreenElement")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DocumentOrShadowRoot.fullscreenElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API </a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{ domxref("Element.requestFullscreen()") }}</li>
 <li>{{ domxref("Document.exitFullscreen()") }}</li>
 <li>{{ cssxref(":fullscreen") }} and {{cssxref("::backdrop")}}</li>
 <li>The {{HTMLElement("iframe")}} {{ HTMLAttrXRef("allowfullscreen", "iframe") }} attribute</li>
</ul>
